Jump to content

Archived

This topic is now archived and is closed to further replies.

CotswoldEngraver

Site completely lost after server php upgrade

Recommended Posts

Hi all

 

In desperate need of any help.

My server host upgraded my server to a new php version last week and now I cannot get on to any of my sites, neither the admin side or the website itself works

I have outstanding orders on both sites that I cannot access so in desperate need of assistance.

 

My sites are www.aseawards.co.uk (running on a v2.2 oscommerce package) and www.pettagsales.co.uk (running on a v2.3.4 package)

 

It looks like the server is now running version 5.4php any help would be extremely helpful

 

Kind regards Andy

 

 

Share this post


Link to post
Share on other sites

The first site opened, now it just fails with:

 

Warning: require(includes/languages/.php): failed to open stream: No such file or directory in /home/aseaward/public_html/includes/application_top.php on line 322

Share this post


Link to post
Share on other sites

The first site opened, now it just fails with:

 

Warning: require(includes/languages/.php): failed to open stream: No such file or directory in /home/aseaward/public_html/includes/application_top.php on line 322

 

That is what I get on both sites and also on the admin side of both too.

Share this post


Link to post
Share on other sites

Try this.... (backup tho')

 

application_top.php find:

// set the language
if (!tep_session_is_registered(‘language’) || isset($HTTP_GET_VARS['language'])) {

replace with:
// set the language
if (!tep_session_is_registered(‘language’) || isset($HTTP_GET_VARS['language']) || empty($language)) {

Share this post


Link to post
Share on other sites

I presume that you fixed the $language-not-set problem on both sites, as both open for me. I'm not surprised that the osC 2.2 site failed, as it is not PHP 5.4 compatible code. I would suggest getting moving on transferring your data to a new 2.3.4 site before anything else breaks. I am surprised that the 2.3.4 site would have failed, as that version is known to run fine with PHP 5.4. Was this an upgrade from 2.2-something? If so, something must not have upgraded correctly (such as in application_top.php). You'd be better off installing a fresh 2.3.4 and migrating your data over (the database may already be in 2.3.4 format and not need upgrading). If this was a 2.3.x install, could you have accidentally copied in a 2.2 application_top.php?


If you are running the "official" osC 2.3.4 or 2.3.4.1 download, your installation is obsolete! Get (stable) Frozenpatches or (unstable) Edge. See also the naming convention and the latest community-supported responsive "Edge" release

Share this post


Link to post
Share on other sites

Try this.... (backup tho')

 

application_top.php find:

// set the language

if (!tep_session_is_registered(‘language’) || isset($HTTP_GET_VARS['language'])) {

replace with:

// set the language

if (!tep_session_is_registered(‘language’) || isset($HTTP_GET_VARS['language']) || empty($language)) {

 

Thanks for this, it worked. Now have an issue where no images are displaying, any idea on what may be causing this? This is on the 2.2 site. 

The 2.3.4 site has a redirect loop fault on it where I cannot log in either  :(

Kind regards Andy

Share this post


Link to post
Share on other sites

I presume that you fixed the $language-not-set problem on both sites, as both open for me. I'm not surprised that the osC 2.2 site failed, as it is not PHP 5.4 compatible code. I would suggest getting moving on transferring your data to a new 2.3.4 site before anything else breaks. I am surprised that the 2.3.4 site would have failed, as that version is known to run fine with PHP 5.4. Was this an upgrade from 2.2-something? If so, something must not have upgraded correctly (such as in application_top.php). You'd be better off installing a fresh 2.3.4 and migrating your data over (the database may already be in 2.3.4 format and not need upgrading). If this was a 2.3.x install, could you have accidentally copied in a 2.2 application_top.php?

 

Thanks for your reply. I am currently working on a completely new site for the 2.2 one, the 2.3.4 is a different site selling different products. It was a clean install about 4 months ago and has worked faultlessly up until this weekend.

Share this post


Link to post
Share on other sites

I'm still wondering if (and how) you got an old (2.2) level application_top.php into your 2.3.4 store. If you actually did that, your store may be very messed up.

 

I see now on the 2.2 site that the product images are missing/broken. Have you checked that they are still where they are supposed to be, and can be manually displayed when you pull them up by name on the browser? Since other images are OK, I'll assume that someone didn't back up and restore all your images incorrectly (corrupting them via ASCII transfer). Also, it looks like some UTF-8 text is mixed in with your captions (in Latin-1?). That could indicate a problem somewhere.


If you are running the "official" osC 2.3.4 or 2.3.4.1 download, your installation is obsolete! Get (stable) Frozenpatches or (unstable) Edge. See also the naming convention and the latest community-supported responsive "Edge" release

Share this post


Link to post
Share on other sites

I'm still wondering if (and how) you got an old (2.2) level application_top.php into your 2.3.4 store. If you actually did that, your store may be very messed up.

 

I see now on the 2.2 site that the product images are missing/broken. Have you checked that they are still where they are supposed to be, and can be manually displayed when you pull them up by name on the browser? Since other images are OK, I'll assume that someone didn't back up and restore all your images incorrectly (corrupting them via ASCII transfer). Also, it looks like some UTF-8 text is mixed in with your captions (in Latin-1?). That could indicate a problem somewhere.

Hi. I have made no changes to either of the sites. This appears to have happened after the php upgrade.

Share this post


Link to post
Share on other sites

thanks all for your help. I looks like I am going to have to bring forward the replacement for my 2.2 site earlier than planned.

My 2.3.4 site: www.pettagsales.co.uk seems to be stuck in a loop on the admin side, any ideas what would cause this? The actual site looks to be working ok.

 

Kind regards Andy

Share this post


Link to post
Share on other sites

Have a word with your hosts and ask if they can revert the php version back to what it was for a short period of time just so your site will work. Most good hosts may do this for you. Really they should have notified you they were making this type of change.

 

There is an addon that will will get your site working on php5.3 but that may be of little help to you.The addon is here http://addons.oscommerce.com/info/7394

 

Hopefully your hosts will help to give you time to come up with a new version running on the right php version. Best of luck.


REMEMBER BACKUP, BACKUP AND BACKUP

Get the latest Responsive osCommerce CE (community edition) here

It's very easy to over complicate what are simple things in life

Share this post


Link to post
Share on other sites

×